.specify-mail {
  border: 1px solid $border;
  background: $white;
  border-radius: 5px;
  margin: 0 0 40px;

  &__wrapper {

  }

  &__header {
    padding: 30px 40px;
    border-bottom: 1px solid $border;

    &-title {
      @include font(14px, 700, 1.43);
      color: #323c47;
      text-transform: uppercase;
    }

    &-title-description-with-icon {
      @include flex(flex, row, nowrap);
    }

    &-text-wrapper {
      @include flex(flex, column, nowrap);
    }

    &-title-with-icon {
      @include font(16px, 500, 1.56);
      color: #4a90e2;
    }

    &-subtitle-with-icon {
      @include font(13px, 300, 1.54);
      color: #222222;
    }

    &-title-icon {
      margin: 0 10px 0 0;
      fill: #4a90e2;
    }
  }

  &__content {
    padding: 30px 40px;
  }

  &__input {
    @include size(100%);
    margin: 0;
    padding: 12px 65px 12px 20px;
    border-radius: 5px 0 0 5px;
    @include font(15px, 500, 1.33);
    color: #323c47;
  }

  &__input-together-button {
    max-width: 500px;
    margin: 0;

    &-row {
      @include size(100%);
      @include position(relative, $c: (null));
      margin: 0 0 20px;
    }
  }

  &__input-label {
    margin: 0 0 15px;
    @include font(15px, 400, 1.33);
    color: #898989;
  }

  &__button {
    @include position(absolute, $c: (top: 0, right: 0));
    @include size(55px, 45px);
    @include flex(inline-flex, row, nowrap);
    align-items: center;
    justify-content: center;
    border-radius: 0 5px 5px 0;
    padding: 0;
    margin: 0 !important;
  }

  &__description {
    padding: 0 65px 0 0;
    margin: 0;
    @include font(13px, 300, 1.54);
  }

  &__file {
    @include position(relative, $c: (null));

    &:before {
      content: '';
      @include position(absolute, $c: (top: -1px, right: -1px));
      border: 20px solid transparent;
      border-top: 20px solid #fafbfc;
      border-right: 20px solid #fafbfc;
    }

    &:after {
      content: '';
      @include position(absolute, $c: (top: -1px, right: -1px));
      border: 20px solid transparent;
      border-bottom: 20px solid $border;
      border-left: 20px solid $border;
      border-radius: 0 0 0 5px;
    }
  }
}

.block-credit-rating {
  .steps {
    text-align: center;
    margin-bottom: 40px;

    .step {
      @include size(200px);
      @include font(14px, null, null);
      display: inline-block;
      color: #cdcdcd;

      span {
        display: inline-block;
        @include size(35px, 35px);
        @include font(18px, null, 35px);
        color: #cdcdcd;
        border: 1px solid #cdcdcd;
        border-radius: 50%;
        margin-bottom: 15px;
      }
    }

    .pass {
      color: #323c47;

      span {
        color: #323c47;
        background: #ffde52;
        border-color: #ffde52;
      }
    }
  }
}


.block-credit-rating-result {
  .item {
    border-radius: 5px;
    border: 1px solid #e9eff4;
    padding: 30px 30px 10px;
    margin-bottom: 40px;
    display: table-cell;
  }

  .green, .gray, .yellow, .red {
    display: inline-block;
    @include size(58px, 52px);
    @include font(24px, 500, 53px);
    border-radius: 5px;
    text-align: center;
    background-repeat: no-repeat;
    background-position: 50% 50%;
    margin-bottom: 40px;
  }

  .green {
    background-color: #f1ffcf;
    color: #a6e50f;

    .face {
      background-image: url(../img/credit-rating/result/green.png);
    }
  }

  .gray {
    background-color: #e9eff4;
    color: #323c47;
  }

  .yellow {
    background-color: #fff9e2;
    color: #ffd012;

    .face {
      background-image: url(../img/credit-rating/result/yellow.png);
    }
  }

  .red {
    background-color: #fff0ed;
    color: #ff7554;

    .face {
      background-image: url(../img/credit-rating/result/red.png);
    }
  }

  .small-font {
    font-size: 20px;
  }

  .face {
    display: inline-block;
    @include size(35px, 35px);
    margin-top: 9px;
  }
}

.block-credit-rating {
  .tachometer {
    color: #323c47;
    margin-bottom: 50px;

    .strong {
      @include font(16px, null, null);
      margin-bottom: 5px;
    }

    .rate {
      @include font(50px, 1000 null);
    }
  }
}

.block-credit-rating .tachometer .lite {
  font-size: 14px;
  color: #989898;
  margin-bottom: 20px;
}

.block-credit-rating .tachometer .slider {
  height: 10px;
  box-sizing: border-box;
  border-radius: 5px;
  margin-bottom: 10px;
  min-width: 0px;
  background: url(../img/credit-rating/range-slider-bg.png) repeat-y 0 0;
  background-size: 100%;
}

.block-credit-rating .tachometer .slider .color {
  position: relative;
  margin: -10px -5px 0 0;
  top: -8px;
  height: 10px;
  border-radius: 5px;
  display: inline-block;
}

.block-credit-rating .tachometer .slider .color2 {
  position: relative;
  margin: -10px 0px 0 0;
  top: -7px;
  left: 6px;
  height: 10px;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
  display: inline-block;
  background: #e9eff4;
}

.block-credit-rating .tachometer .slider .bumper {
  box-sizing: border-box;
  background: none;
  position: relative;
  height: 20px;
  border-radius: 20px;
  width: 20px;
  margin: -20px 0 0 -28px;
  top: -2px;
  left: 12px;
  border: 5px solid #fff;
  display: inline-block;
  box-shadow: 0 1px 10px 0 rgba(64, 56, 55, 0.3);
  cursor: pointer;
  z-index: 1;
}

.block-credit-rating .tachometer .range {
  font-size: 12px;
  color: #c4c4c4;
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-bottom: 30px;
}

.block-credit-rating .tachometer .liner {
  margin-top: -10px;
  background: url(../img/credit-rating/range-slider-linear1.png) no-repeat 0 0;
  height: 10px;
  background-size: 100%;
}

@media #{$mobile} {
  .specify-mail {
    &__header {
      padding: 20px;
    }
    &__content {
      padding: 20px;
    }
    &__description {
      padding: 0;
    }
  }
}